<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header">
  <mb-button (click)="showModalUploadFile(footerTmplUploadFile)" mbButtonSize="MEDIUM"
             mbButtonText="{{'common.button.uploadFile' | translate}}"
             mbButtonTextColor="#141ED2" *ngIf="objFunction.import">
  </mb-button>
</div>
<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button (click)="modalRef.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonSize="VERY_LARGE"
               mbButtonText="{{'targerManager.button.btnSaveFile' | translate}}"
               mbButtonType="NO_BORDER"></mb-button>
    <mb-button (click)="modalRef.destroy()"
               class="flex-footer__uploadfile--button-left"
               mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'targerManager.button.btnCancel' | translate}}"></mb-button>
  </section>
</ng-template>
<nz-card style="margin-bottom: 24px">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="6" nzLg="6">
      <hcm-mfe-employee-data-search-policy [mbCanText]="true" mbLabelText="{{'goaManagement.approveListEmpAllocated.label.employeeCode' | translate}}"
                                           [ngModelOptions]="{standalone: true}" [multiple]="true" [isHideFullName]="true" [functionCode]="functionCode"
                                           (selectedChange)="onChange($event)" ngModel="">
      </hcm-mfe-employee-data-search-policy>
    </div>
    <div nz-col nzXs="6" nzLg="6">
      <mb-input-text
        [(ngModel)]="info.fullName"
        mbType="default"
        [mbMaxLength]="100"
        [defaultInput]="true"
        mbPlaceholderText=""
        mbLabelText="{{ 'goaManagement.approveListEmpAllocated.label.fullName' | translate }}"
        [disabled]="true"
      >
      </mb-input-text>
    </div>
    <div nz-col nzXs="6" nzLg="6">
      <div style="position: relative">
        <mb-input-text
          [(ngModel)]="orgName"
          mbType="default"
          [mbMaxLength]="50"
          [defaultInput]="true"
          (mbClick)="showModalOrg($event)"
          mbPlaceholderText="{{ 'goaManagement.approveListEmpAllocated.label.chooseUnit' | translate }}"
          mbLabelText="{{ 'goaManagement.approveListEmpAllocated.label.org' | translate }}"
          [mbReadOnly]="true"
        >
        </mb-input-text>
        <em
          *ngIf="orgName"
          nz-icon
          class="icon-custom"
          (click)="clearOrgInput()"
          nzType="close-circle"
          nzTheme="outline"
        ></em>
      </div>
    </div>
    <div nz-col nzXs="6" nzLg="6">
      <mb-select [(ngModel)]="param.periodId" [mbDataSelects]="listPeriod" [mbShowSearch]="false"
                 mbPlaceholder="{{'goaManagement.approveListEmpAllocated.label.assessmentPeriod' | translate}}"
                 mbLabelText="{{'goaManagement.approveListEmpAllocated.label.assessmentPeriod' | translate}}" mbKeyLabel="periodName"
                 mbKeyValue="periodId"
      >
      </mb-select>
    </div>
  </div>
  <div class="search-header">
    <mb-button mbButtonAvailableStyle="CUSTOM"
               mbButtonText="{{'common.label.search' | translate}}" (click)="search()"></mb-button>
  </div>
</nz-card>
<div class='search__content--group'>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]="false">
    <mb-table
      (changePageNum)='changePage($event)'
      [heightTable]="heightTable"
      [tableConfig]='tableConfig' [tableData]='listData'></mb-table>
  </mb-table-wrap>
</div>
